commit:     328c2af92299ca33e642543ca64884402f8bcc56
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Wed May  8 03:11:46 2024 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Wed May  8 03:15:13 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=328c2af9

www-apps/cgit: re-add 9999 series to support much newer Git

Upstream has not made an official release since 2020, but master is more
up to date, and trusted contributers have a branch with the latest Git
support.

This is important because Git v2.45.0 adds support for Bloom Filters in
commit graphs, providing 10x performance in web displays.

Reference: https://lore.kernel.org/git/robbat2-20240507T053331-859497691Z <AT> 
orbis-terrarum.net/T/#t
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 www-apps/cgit/cgit-1.2.3-r203.ebuild               |  6 ++++--
 ...{cgit-1.2.3-r203.ebuild => cgit-9999-r1.ebuild} | 25 +++++++++++++++-------
 .../{cgit-1.2.3-r203.ebuild => cgit-9999.ebuild}   | 22 ++++++++++++-------
 3 files changed, 35 insertions(+), 18 deletions(-)

diff --git a/www-apps/cgit/cgit-1.2.3-r203.ebuild 
b/www-apps/cgit/cgit-1.2.3-r203.ebuild
index 8499426633d8..805171058e89 100644
--- a/www-apps/cgit/cgit-1.2.3-r203.ebuild
+++ b/www-apps/cgit/cgit-1.2.3-r203.ebuild
@@ -56,8 +56,10 @@ pkg_setup() {
 }
 
 src_configure() {
-       rmdir git || die
-       mv "${WORKDIR}"/git-"${GIT_V}" git || die
+       if ! [[ ${PV} =~ 9999* ]]; then
+               rmdir git || die
+               mv "${WORKDIR}"/git-"${GIT_V}" git || die
+       fi
 
        echo "prefix = ${EPREFIX}/usr" >> cgit.conf || die "echo prefix failed"
        echo "libdir = ${EPREFIX}/usr/$(get_libdir)" >> cgit.conf || die "echo 
libdir failed"

diff --git a/www-apps/cgit/cgit-1.2.3-r203.ebuild 
b/www-apps/cgit/cgit-9999-r1.ebuild
similarity index 85%
copy from www-apps/cgit/cgit-1.2.3-r203.ebuild
copy to www-apps/cgit/cgit-9999-r1.ebuild
index 8499426633d8..8b6fded5c051 100644
--- a/www-apps/cgit/cgit-1.2.3-r203.ebuild
+++ b/www-apps/cgit/cgit-9999-r1.ebuild
@@ -9,20 +9,28 @@ PYTHON_COMPAT=( python3_{10..12} )
 
 WEBAPP_MANUAL_SLOT="yes"
 
-inherit lua-single python-single-r1 tmpfiles toolchain-funcs webapp
+inherit lua-single python-single-r1 tmpfiles toolchain-funcs webapp git-r3
 
 [[ -z "${CGIT_CACHEDIR}" ]] && CGIT_CACHEDIR="/var/cache/${PN}/"
 
-GIT_V="2.25.1"
+GIT_V="2.45.0"
 
 DESCRIPTION="a fast web-interface for git repositories"
 HOMEPAGE="https://git.zx2c4.com/cgit/about";
-SRC_URI="https://www.kernel.org/pub/software/scm/git/git-${GIT_V}.tar.xz
-       https://git.zx2c4.com/cgit/snapshot/${P}.tar.xz";
+if [[ ${PV} =~ 9999* ]]; then
+       SRC_URI=""
+       EGIT_REPO_URI="https://git.zx2c4.com/cgit";
+       # v2.45.0 updates in this branch series
+       EGIT_COMMIT=dbadd856ba0537110338cfe58256b152d01388c0
+       EGIT_BRANCH=ch/for-jason
+else
+       SRC_URI="https://www.kernel.org/pub/software/scm/git/git-${GIT_V}.tar.xz
+               https://git.zx2c4.com/cgit/snapshot/${P}.tar.xz";
+fi
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~riscv ~x86"
+KEYWORDS=""
 IUSE="doc +highlight +lua test"
 REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} ) ${PYTHON_REQUIRED_USE}"
 RESTRICT="!test? ( test )"
@@ -56,9 +64,10 @@ pkg_setup() {
 }
 
 src_configure() {
-       rmdir git || die
-       mv "${WORKDIR}"/git-"${GIT_V}" git || die
-
+       if ! [[ ${PV} =~ 9999* ]]; then
+               rmdir git || die
+               mv "${WORKDIR}"/git-"${GIT_V}" git || die
+       fi
        echo "prefix = ${EPREFIX}/usr" >> cgit.conf || die "echo prefix failed"
        echo "libdir = ${EPREFIX}/usr/$(get_libdir)" >> cgit.conf || die "echo 
libdir failed"
        echo "CGIT_SCRIPT_PATH = ${MY_CGIBINDIR}" >> cgit.conf || die "echo 
CGIT_SCRIPT_PATH failed"

diff --git a/www-apps/cgit/cgit-1.2.3-r203.ebuild 
b/www-apps/cgit/cgit-9999.ebuild
similarity index 88%
copy from www-apps/cgit/cgit-1.2.3-r203.ebuild
copy to www-apps/cgit/cgit-9999.ebuild
index 8499426633d8..1fab1a1e34a9 100644
--- a/www-apps/cgit/cgit-1.2.3-r203.ebuild
+++ b/www-apps/cgit/cgit-9999.ebuild
@@ -9,20 +9,25 @@ PYTHON_COMPAT=( python3_{10..12} )
 
 WEBAPP_MANUAL_SLOT="yes"
 
-inherit lua-single python-single-r1 tmpfiles toolchain-funcs webapp
+inherit lua-single python-single-r1 tmpfiles toolchain-funcs webapp git-r3
 
 [[ -z "${CGIT_CACHEDIR}" ]] && CGIT_CACHEDIR="/var/cache/${PN}/"
 
-GIT_V="2.25.1"
+GIT_V="2.39.0"
 
 DESCRIPTION="a fast web-interface for git repositories"
 HOMEPAGE="https://git.zx2c4.com/cgit/about";
-SRC_URI="https://www.kernel.org/pub/software/scm/git/git-${GIT_V}.tar.xz
-       https://git.zx2c4.com/cgit/snapshot/${P}.tar.xz";
+if [[ ${PV} =~ 9999* ]]; then
+       SRC_URI=""
+       EGIT_REPO_URI="https://git.zx2c4.com/cgit";
+else
+       SRC_URI="https://www.kernel.org/pub/software/scm/git/git-${GIT_V}.tar.xz
+               https://git.zx2c4.com/cgit/snapshot/${P}.tar.xz";
+fi
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 ~arm ~riscv ~x86"
+KEYWORDS=""
 IUSE="doc +highlight +lua test"
 REQUIRED_USE="lua? ( ${LUA_REQUIRED_USE} ) ${PYTHON_REQUIRED_USE}"
 RESTRICT="!test? ( test )"
@@ -56,9 +61,10 @@ pkg_setup() {
 }
 
 src_configure() {
-       rmdir git || die
-       mv "${WORKDIR}"/git-"${GIT_V}" git || die
-
+       if ! [[ ${PV} =~ 9999* ]]; then
+               rmdir git || die
+               mv "${WORKDIR}"/git-"${GIT_V}" git || die
+       fi
        echo "prefix = ${EPREFIX}/usr" >> cgit.conf || die "echo prefix failed"
        echo "libdir = ${EPREFIX}/usr/$(get_libdir)" >> cgit.conf || die "echo 
libdir failed"
        echo "CGIT_SCRIPT_PATH = ${MY_CGIBINDIR}" >> cgit.conf || die "echo 
CGIT_SCRIPT_PATH failed"

Reply via email to